package cn.com.qmth.examcloud.common.dto.marking;

import java.util.List;

import cn.com.qmth.examcloud.common.dto.em.enums.ExamType;

/**
 * 
 * @Description: TODO
 * @author ting.yin
 * @date 2017年1月14日
 */
public class MarkWorkDTO extends IdEntity {

	private String name;

	private String createdOn;

	private String examId;

	private String examName;
	
    private ExamType examType;

	private List<MarkTaskDTO> markTasks;

	private String remark;
	
    private Long totalStudentPaper;
    
    private Long markedStudentPaper;
    
    private Long totalCourse;
    
    private Long markedCourse;
    
    private Long totalMarkItem;
	
    private double progress;
    /**
     * 状态 0:创建中 1:创建成功 2:创建失败
     */
    private int status;
    
	private Long rootOrgId;
	
	public MarkWorkDTO() {
	}

	public MarkWorkDTO(String name, String examId,Long rootOrgId) {
		this.name = name;
		this.examId = examId;
		this.rootOrgId = rootOrgId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCreatedOn() {
		return createdOn;
	}

	public void setCreatedOn(String createdOn) {
		this.createdOn = createdOn;
	}

	public String getExamId() {
		return examId;
	}

	public void setExamId(String examId) {
		this.examId = examId;
	}

	public List<MarkTaskDTO> getMarkTasks() {
		return markTasks;
	}

	public void setMarkTasks(List<MarkTaskDTO> markTasks) {
		this.markTasks = markTasks;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public double getProgress() {
		return progress;
	}

	public void setProgress(double progress) {
		this.progress = progress;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public Long getTotalStudentPaper() {
		return totalStudentPaper;
	}

	public void setTotalStudentPaper(Long totalStudentPaper) {
		this.totalStudentPaper = totalStudentPaper;
	}

	public Long getTotalMarkItem() {
		return totalMarkItem;
	}

	public void setTotalMarkItem(Long totalMarkItem) {
		this.totalMarkItem = totalMarkItem;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getMarkedStudentPaper() {
		return markedStudentPaper;
	}

	public void setMarkedStudentPaper(Long markedStudentPaper) {
		this.markedStudentPaper = markedStudentPaper;
	}

	public Long getTotalCourse() {
		return totalCourse;
	}

	public void setTotalCourse(Long totalCourse) {
		this.totalCourse = totalCourse;
	}

	public Long getMarkedCourse() {
		return markedCourse;
	}

	public void setMarkedCourse(Long markedCourse) {
		this.markedCourse = markedCourse;
	}

	public ExamType getExamType() {
		return examType;
	}

	public void setExamType(ExamType examType) {
		this.examType = examType;
	}

}
